/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package mobirentdesktop.entities;

import connectors.NameConnector;
import java.util.ArrayList;
import peaconnector.SEAnnot;
import peaconnector.XmlSerializerSchemas;

/**
 *
 * @author Budai Attila
 */
@ClassNameConnector(guiName = "Customer")
@XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "customer"))
public class Customer {

    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "name"))
    private String name;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "address"))
    private String address;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "phone"))
    private String phone;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "userName"))
    private String userName;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "passCode"))
    private String passCode;
    @XmlSerializerSchemas(@SEAnnot(schemaName = "desktop", name = "orders"))
    private ArrayList<Order> orders = new ArrayList<Order>();

    public Customer( String name, String address, String phone, String userName, String passCode) {
   
        this.name = name;
        this.address = address;
        this.phone = phone;
        this.userName = userName;
        this.passCode = passCode;
    }

    public Customer() {
    }

    /**
     * @return the name
     */
    @NameConnector(guiName = "Név")
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    @NameConnector(guiName = "Név")
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the address
     */
    @NameConnector(guiName = "Cím")
    public String getAddress() {
        return address;
    }

    /**
     * @param address the address to set
     */
    @NameConnector(guiName = "Cím")
    public void setAddress(String address) {
        this.address = address;
    }

    /**
     * @return the phone
     */
    @NameConnector(guiName = "Telefonszám")
    public String getPhone() {
        return phone;
    }

    /**
     * @param phone the phone to set
     */
    @NameConnector(guiName = "Telefonszám")
    public void setPhone(String phone) {
        this.phone = phone;
    }

    /**
     * @return the userName
     */
    @NameConnector(guiName = "Felhasználó név")
    public String getUserName() {
        return userName;
    }

    /**
     * @param userName the userName to set
     */
    @NameConnector(guiName = "Felhasználó név")
    public void setUserName(String userName) {
        this.userName = userName;
    }



    @NameConnector(guiName = "Rendelések")
    public ArrayList<Order> getOrders() {
        return orders;
    }

    public String getPassCode() {
        return passCode;
    }



    @NameConnector(guiName = "Rendelések")
    public void setOrders(ArrayList<Order> orders) {
        this.orders = orders;
    }

    public void setPassCode(String passCode) {
        this.passCode = passCode;
    }
}
